Summary:	PAM authentication module for the Apache Web-Server.
Name:		mod_auth_pam
Version:	1.2
Release:	8
Group:		System Environment/Daemons
URL:		http://pam.sourceforge.net/
Source0:	%{name}-2.0-1.1.1.tar.gz
Source1:	pam.conf
License:	BSD
BuildRoot:	%{_tmppath}/%{name}-%(id -u -n)
Requires:	httpd
BuildRequires:	httpd-devel

%description 
The PAM authentication module implements Basic authentication on top
of the Pluggable Authentication Module library. Thereby it supports standard
unix passwd, shadow, NIS, SMB auth and radius authentication transparently
and easily interchangeable, wherever the HTTP protocol allows it.


%prep
%setup -q -n mod_auth_pam


%build
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -m 644 samples/httpd-rh6+ $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/httpd
install -m 755 .libs/mod_auth_pam.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
install -m 755 .libs/mod_auth_sys_group.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%config %{_sysconfdir}/httpd/conf.d/pam.conf
%config %{_sysconfdir}/pam.d/httpd
%{_libdir}/httpd/modules/mod_auth_pam.so
%{_libdir}/httpd/modules/mod_auth_sys_group.so
%doc INSTALL README doc/*.html samples/dot-htaccess samples/httpd*


%changelog
* Sun Mar 26 2006 Petr Kritof <Petr|Kristof_CZ> 1.2-8
- Rebuild on FC-5

* Mon Jan 6 2006 Petr Kritof <Petr|Kristof_CZ> 1.2-7
- Rebuild with apache 2.0.54

* Sun Jun 26 2005 Petr Kritof <Petr|Kristof_CZ> 1.2-6
- Rebuild on FC-4

* Sat Nov 20 2004 Petr Kritof <Petr|Kristof_CZ> 1.2-5
- Rebuild on FC-3

* Sun Nov 23 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on FC-1

* Thu Feb 6 2003 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-8.0
- Update to 1.2

* Wed Jul 17 2002 Petr Kritof <Petr|Kristof_CZ>
- Upgrade to mod_auth_pam-1.1

* Sun May 12 2002 Petr Kritof <Petr|Kristof_CZ>
- Rebuild on RH-7.3

* Sat Dec 22 2001 Petr Kritof <Petr|Kristof_CZ>
- Initial release for RH-7.2

